
QGIS Application - Bug report #15480

processing modeler: 'run model' and 'edit model help' does not work

2016-08-23 01:27 AM - Pieter Brusselman

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23404

Description

There is an issue when a grass-algorithm is included in a model.  I can't run the model from within the processing modeler, neither can I

edit model help.

With both I get this message:

An error has occurred while executing Python code:

TypeError: object.__new__(NotImplementedType) is not safe, use NotImplementedType.__new__() 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerDialog.py", line 230, in editHelp

    alg = self.alg.getCopy()

  File "C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerAlgorithm.py", line 212, in getCopy

    newone.algs = copy.deepcopy(self.algs)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 334, in _reconstruct

    state = deepcopy(state, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)
  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 230, in _deepcopy_list

    y.append(deepcopy(a, memo))

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 334, in _reconstruct

    state = deepcopy(state, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy.py", line 329, in _reconstruct

    y = callable(*args)

  File "C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\copy_reg.py", line 93, in newobj

    return cls._new__(cls, *args)

TypeError: object.__new__(NotImplementedType) is not safe, use NotImplementedType.__new__()

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS version: 2.16.1-Nødebo Nødebo, 8545b3b

Python Path:

C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing

C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python

C:/Users/pieter/.qgis2/python

C:/Users/pieter/.qgis2/python/plugins

C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\

ose-1.3.3-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\tornado-4.0.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\certifi-14.05.14-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\bin\\python27.zip

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\DLLs

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\plat-win
C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\lib-tk

C:\\PROGRA~1\\QGIS21~1.1\\bin

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\PIL

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\win32

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\win32\\lib

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\Pythonwin

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg

C:\\PROGRA~1\\QGIS21~1.1\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg

C:/Users/pieter/.qgis2//python

.

C:\\Users\\pieter\\.qgis2\\python\\plugins\\geopunt4Qgis\\ext-libs

Related issues:

Duplicates QGIS Application - Bug report # 15060: Error when creating Help Fi... Closed 2016-06-18

History

#1 - 2016-08-23 01:28 AM - Pieter Brusselman

When there are no grass-algorithms included there is no problem...

#2 - 2016-08-23 05:04 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Rejected
